#include <stdio.h>
#include <algorithm>
#include <string>

#include "graphfnc.hpp"

void print_values(int (*f)(int), int pmin, int psize)
{
	for (int j = 0; j < psize; ++j)
	{
		int p = pmin + j;
		printf(" %d:%d", p, f(p));
	}
	printf("\n");
}

int main(int argc, char** argv)
{
	bool select1 = true;
	bool select2 = true;

	if (argc > 1)
	{
		std::string a = argv[1];
		if (a == "--1")
		{
			select1 = true;
			select2 = false;
		}
		else if (a == "--2")
		{
			select1 = false;
			select2 = true;
		}
	}

	static constexpr int psize = pmax - pmin + 1;
	static constexpr int psize10 = std::min(psize, 10);

	if (select1)
	{
		print_values(f1, pmin, psize10);
	}
	if (select2)
	{
		print_values(f2, pmin, psize10);
	}

	return 0;
}
